dpkg-statoverride(8)

NOM
dpkg-statoverride - annuler la propriété et le mode des fichiers

SYNOPSIS
dpkg-statoverride [option...] commande

DESCRIPTION
Les « dérogations au statut » sont une façon de demander à dpkg(1) de changer le propriétaire ou le mode d'un chemin lors de l'installation d'un paquet (cela s'applique à tout objet de système de fichiers que dpkg gère, notamment les répertoires, les périphériques, etc.) On peut s'en servir pour forcer l'installation de programmes qui sont normalement « setuid » sans ce drapeau « setuid », ou pour les rendre exécutables seulement par un groupe donné.

dpkg-statoverride est un utilitaire pour gérer la liste des dérogations. Il possède trois fonctions élémentaires : l'ajout, la suppression et le listage des dérogations.

COMMANDES

--add utilisateur groupe mode chemin
    Ajoute une dérogation (« override ») pour chemin. chemin n'a pas besoin d'exister quand cette commande est utilisée ; la dérogation est stockée et utilisée par la suite. Les utilisateurs ou les groupes peuvent être indiqués par leur nom (par exemple root ou nobody) ou bien par leur numéro, en préfixant ce numéro par le caractère « # » (par exemple, #0 ou #65534). Le mode doit être indiqué en numérotation octale. Si --update est utilisée et si chemin existe, le fichier change immédiatement de propriétaire et de mode.

--remove  chemin
    Supprime une dérogation (« override ») pour chemin, l'état de chemin est inchangé.

--list [motif-global]
    Liste toutes les dérogations. Quand on donne une expression rationnelle, on réduit la sortie aux dérogations qui correspondent au motif. Quand il n'y a pas de dérogation, ou quand aucune ne correspond au motif, dpkg-statoverride se termine avec un code de sortie égal à 1.

--help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir répertoire
    Change le répertoire de la base de données de dpkg, où se trouve aussi le fichier statoverride. La valeur par défaut est /var/lib/dpkg.

--force
    Forcer une opération, même si une vérification raisonnable l'interdirait. C'est nécessaire pour annuler une précédente dérogation.

--update
    Essaye de changer immédiatement le chemin vers les nouveaux propriétaire et mode s'il existe.

--quiet
    Moins de bavardage sur ce qui est fait.

ENVIRONNEMENT

DPKG_ADMINDIR
    Si cette variable est positionnée et que l'option --admindir n'est pas précisée, ce répertoire sera utilisé comme répertoire de données pour dpkg.

FICHIERS

/var/lib/dpkg/statoverride
    Ce fichier contient la liste actuelle des dérogations concernant le système. Il se trouve dans le répertoire d'administration de dpkg, avec les autres fichiers importants comme « status » ou « available ».
    Note : dpkg-statoverride garde une copie de ce fichier, avec une extension « -old », avant de le remplacer par un nouveau.

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.